### Hierarchy

- SetBreakpointByUrlParameterType

## Index

### Properties

- columnNumber
- condition
- lineNumber
- scriptHash
- url
- urlRegex

## Properties

### Optional columnNumber

columnNumber: undefined | number

- Defined in node_modules/@types/node/inspector.d.ts:361

Offset in the line to set breakpoint at.

### Optional condition

condition: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:366

Expression to use as a breakpoint condition. When specified, debugger will only stop on the breakpoint if this expression evaluates to true.

### lineNumber

lineNumber: number

- Defined in node_modules/@types/node/inspector.d.ts:344

Line number to set breakpoint at.

### Optional scriptHash

scriptHash: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:357

Script hash of the resources to set breakpoint on.

### Optional url

url: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:348

URL of the resources to set breakpoint on.

### Optional urlRegex

urlRegex: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:353

Regex pattern for the URLs of the resources to set breakpoints on. Either `url` or `urlRegex` must be specified.

Generated using TypeDoc